Skip to main content
GET
/
api
/
v3
/
expenseClaims
List ExpenseClaims
curl --request GET \
  --url https://{host}/api/v3/expenseClaims \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/expenseClaims"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/expenseClaims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "items": [
      {
        "declaredOn": "2023-11-07T05:31:56Z",
        "createdOn": "2023-11-07T05:31:56Z",
        "modifiedOn": "2023-11-07T05:31:56Z",
        "id": 2,
        "name": "<string>",
        "paymentReceivedOn": "2023-11-07T05:31:56Z",
        "sourceId": {
          "id": "<string>"
        },
        "source": {
          "id": 123,
          "name": "<string>",
          "code": "<string>"
        },
        "paymentMethod": {
          "id": 123,
          "name": "<string>",
          "code": "<string>"
        },
        "statusId": {},
        "status": {
          "id": 123,
          "name": "<string>",
          "code": "<string>"
        },
        "approvalStateId": {},
        "approvalState": {
          "id": 123,
          "name": "<string>",
          "code": "<string>"
        },
        "authorizedActions": {
          "isCancellable": true,
          "isEditable": true,
          "isApprovable": true,
          "isControllable": true,
          "isUnControllable": true
        },
        "ownerId": 123,
        "owner": {
          "id": 2,
          "name": "<string>",
          "url": "<string>",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "authorId": 123,
        "author": {
          "id": 123,
          "name": "<string>",
          "url": "<string>"
        },
        "legalEntityId": 123,
        "legalEntity": {
          "id": 123,
          "name": "<string>",
          "url": "<string>"
        },
        "departmentId": 123,
        "department": {
          "id": 123,
          "name": "<string>",
          "url": "<string>"
        },
        "currencyId": "<string>",
        "currency": {
          "id": "<string>",
          "name": "<string>",
          "url": "<string>"
        }
      }
    ]
  }
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

ownerId
integer[]

Comma-separated list of user identifiers (int).

orderBy
string

{fieldName},{'asc'||'desc'}. Example: ?orderby=declaredOn,desc

declaredOn
string

Examples: between,2022-01-01,202201-31.

paging
string
required

{offset},{limit}. Defaults to 0,1000.

Example:

"100,0"

statusId
string

1: Created; 2: PartiallyApproved; 3: Approved; 4: Controlled; 5: ApprovedAndControlled; 6: PaymentInitiated; 7: Paid; 8: Refused; 9: Cancelled. Examples: 2,3 or PartiallyApproved,Approved.

Response

OK

data
object